Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Linie verlängern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Linie verlängern (7631 mal gelesen)
TM Popp
Mitglied
Tischlermeister


Sehen Sie sich das Profil von TM Popp an!   Senden Sie eine Private Message an TM Popp  Schreiben Sie einen Gästebucheintrag für TM Popp

Beiträge: 48
Registriert: 20.11.2003

AutoCad 2017

erstellt am: 28. Feb. 2012 17:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

ich benötige ein Befehlswerkzeug für AutoCad 2010/12, mit dem ich Linien/ Polylinien um 100mm verlängern kann. Kann mir da jemand auf die Sprünge helfen.

Vielen Dank im voraus.

Viele Grüße Dirk

------------------
TM Popp

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5789
Registriert: 09.11.2001

erstellt am: 28. Feb. 2012 17:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich

_lengthen -> delta -> gewünschtes Maß -> Linienende anklicken...

Lothar

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

TM Popp
Mitglied
Tischlermeister


Sehen Sie sich das Profil von TM Popp an!   Senden Sie eine Private Message an TM Popp  Schreiben Sie einen Gästebucheintrag für TM Popp

Beiträge: 48
Registriert: 20.11.2003

AutoCad 2017

erstellt am: 28. Feb. 2012 17:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Lothar!
funktioniert!
Vielen Dank für deine Hilfe
Gruß Dirk

------------------
TM Popp

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tonkpils
Mitglied
architekt


Sehen Sie sich das Profil von tonkpils an!   Senden Sie eine Private Message an tonkpils  Schreiben Sie einen Gästebucheintrag für tonkpils

Beiträge: 524
Registriert: 07.03.2008

Auto Cad 2013
Auto Cad Architecture 2012

erstellt am: 12. Mai. 2012 14:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich

Wie kann ich diesen Befehl auf mehrere Linien anwenden? Ich möchte gerne alle Linien, die ich habe 120Prozent verlängern, damit diese sich überschneiden...es sind leider über 10.000 einzelne Linien, die kann ich leider nicht alle seperat anklicken...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 12. Mai. 2012 15:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich

Linien oder Polylinien?
Welches Ende soll verlängert werden - beide?

Helfen kann da nur ein Makro.

Wenn es nur um eine visuelle Aufbesserung geht, dann hilft vielleicht auch der visuelle Stil "skizzenhaft". http://exchange.autodesk.com/autocad/deu/online-help/browse#WS1a9193826455f5ffa23ce210c4a30acaf-772c.htm

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tonkpils
Mitglied
architekt


Sehen Sie sich das Profil von tonkpils an!   Senden Sie eine Private Message an tonkpils  Schreiben Sie einen Gästebucheintrag für tonkpils

Beiträge: 524
Registriert: 07.03.2008

Auto Cad 2013
Auto Cad Architecture 2012

erstellt am: 12. Mai. 2012 16:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich


Linienverlangert.jpg

 
Es geht bei dem Problem um ein Programm, welches mit Hilfe dieser Linien Bewegungsstudien von Menschen in Hamburg berechnet. Die Linien sind nachgezeichnete Straßen (fast ganz Hamburg, also sehr viele Straßen. Damit dies funktioniert, müssen sich die Linien überschneiden (siehe Anhang: oben nachgezeichnet, unten überschneidend). Es müssen Polylinien sein.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Werner-Maahs.de
Mitglied
CAD-Dozent + Konstrukteur + Autor


Sehen Sie sich das Profil von Werner-Maahs.de an!   Senden Sie eine Private Message an Werner-Maahs.de  Schreiben Sie einen Gästebucheintrag für Werner-Maahs.de

Beiträge: 626
Registriert: 04.05.2005

Win XP
AC 2005/6
AC 2013

erstellt am: 13. Mai. 2012 00:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich

Wie wäre es mit neu zeichnen oder STRecken?

Neu zeichnen geht manchmal schneller als lange zu überlegen, den Befehl zu suchen und die Optionen durch zu forsten.

Ein Makro, wenns häufig genug vorkommt, tut auch gute Dienste!

LG Werner

------------------
strukturiertes Zeichnen mit Werner-Maahs

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 277
Registriert: 15.07.2011

AC2016
Windows10

erstellt am: 13. Mai. 2012 11:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich

Hallo,
weis nicht ob ich das richtig verstanden haben!
Bestehtehen denn in deiner Abbildung die oberen Linien aus 2 langen zickzack Polylinien oder sind das 9 einzelne Polylinien?
An den Seiten links und rechts sind die Linien aber nicht verlängert oder zumindest nur in eine Richtung während die in der Mitte sich in zwei Richtungen verlängern. Und für denn Fall das es nur 2 P-linien sein sollten müssen diese ja hinter den neuen Schlittpunkten wieder rückläufig sein und hätten da eine doppelte länge.
Eine Programierung würde da Helfen.

Ansonsten könnte man bei einzelnen Linien noch raten.
varia mit Faktor auf den Mittelpunkt.

   

------------------
Gruß Wolfgang

Alias: Rabbit007 und Wolli1 die aus unerklärlichen Gründen aus dem System hier gelöscht wurden. 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tonkpils
Mitglied
architekt


Sehen Sie sich das Profil von tonkpils an!   Senden Sie eine Private Message an tonkpils  Schreiben Sie einen Gästebucheintrag für tonkpils

Beiträge: 524
Registriert: 07.03.2008

Auto Cad 2013
Auto Cad Architecture 2012

erstellt am: 13. Mai. 2012 11:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich

Hallo,

Es sind einzelne Polylinien. Makros schreiben habe ich leider nicht drauf. Ich habe jetzt schon begonnen die Linien nachzuzeichnen...habe nach 5 Stunden schon fast die Hälfte...

Danke für die Hilfe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 13. Mai. 2012 11:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich

Ein Makro Schreiben dauert dafür ca. 20 min.

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 277
Registriert: 15.07.2011

AC2016
Windows10

erstellt am: 13. Mai. 2012 11:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich

Das hatte ich mir jetzt verkniffen
Zitat:
Original erstellt von CAD-Huebner:
Ein Makro Schreiben dauert dafür ca. 20 min.

ist wohl bei dem schon geleisteten Arbeitsaufwand zu frustrierend. 

------------------
Gruß Wolfgang

Alias: Rabbit007 und Wolli1 die aus unerklärlichen Gründen aus dem System hier gelöscht wurden. 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 13. Mai. 2012 11:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich

Es dauert nur 15 min, wenn es Quick & Dirty (ohne Fehlerprüfung uvm. gemacht wird).
(vl-load-com)
; verlängert Polylinien um 120 %
; Udo Hübner 13.05.12
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Code:
(defun c:len120 ( / ssp cnt spt ept closed)
  (if (setq ssp (ssget "X" (list (cons 0 "lwpolyline"))))
    (progn
      (setq cnt (sslength ssp))
      (while (>= (setq cnt (1- cnt)) 0)
        (setq ename (ssname ssp cnt)
              vlaxename (vlax-ename->vla-object ename)
              spt (vlax-curve-getStartPoint vlaxename)
              ept (vlax-curve-getEndPoint vlaxename)
              closed (vlax-curve-isClosed vlaxename)
        )
        (if (not closed)
          (progn
            (command "_lengthen" "_p" 120 (list ename spt)(list ename ept) "")
          )
        )
      )
    )
  )


Eigentlich sehe ich das aber als kostenpflichtige Auftragsarbeit und nicht mehr als eine Gefälligkeit mit Lerneffekt auf CAD.de an, denn es spart dir beim laufenden Auftrag ja einige Stunden Arbeit - kannst ja vielleicht 20€ für einen guten Zweck spenden.
Einige Mitglieder hier bei CAD.de leben davon, anderen die Arbeit durch Programmierleistungen zu erleichtern. Das sollte grundsätzlich auch honoriert werden, sonst werden solche Gefälligkeiten irgendwann ausbleiben.

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tonkpils
Mitglied
architekt


Sehen Sie sich das Profil von tonkpils an!   Senden Sie eine Private Message an tonkpils  Schreiben Sie einen Gästebucheintrag für tonkpils

Beiträge: 524
Registriert: 07.03.2008

Auto Cad 2013
Auto Cad Architecture 2012

erstellt am: 13. Mai. 2012 12:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich

Bei mir handelt es sich zum Glück nicht um einen Auftrag, sondern um ein Studiumsprojekt, da kommt es nicht unbedingt auf ökonomisches Arbeiten an. Ich bin auch nicht davon ausgegangen, dass mir jemand eine Makro schreibt... vielen Dank.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Cadzia
Ehrenmitglied V.I.P. h.c.
CAD/Grafik-Dienstleister



Sehen Sie sich das Profil von Cadzia an!   Senden Sie eine Private Message an Cadzia  Schreiben Sie einen Gästebucheintrag für Cadzia

Beiträge: 2885
Registriert: 02.07.2004

AutoCAD 2020 + MAP
Bricscad V19 pro

erstellt am: 13. Mai. 2012 13:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TM Popp 10 Unities + Antwort hilfreich

vielleicht kommt folgendes: >> klick << Deinen Vorstellungen etwas näher. Das Tool verlängert + verkrümmt vorhandene Linien;
prima, um mal eben schnell eine Zeichnung wie handgezeichent aussehen zu lassen  .

------------------
Grüße Karin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz